module fftflags_
  !! FFTW flags

  !---------------
  implicit none

  integer, parameter, public :: dbl=selected_real_kind(10,50)

  integer :: FFTW_FORWARD
  parameter (FFTW_FORWARD=-1)
  integer :: FFTW_BACKWARD
  parameter (FFTW_BACKWARD=1)

  integer :: FFTW_REAL_TO_COMPLEX
  parameter (FFTW_REAL_TO_COMPLEX=-1)
  integer :: FFTW_COMPLEX_TO_REAL
  parameter (FFTW_COMPLEX_TO_REAL=1)

  integer :: FFTW_ESTIMATE
  parameter (FFTW_ESTIMATE=0)
  integer :: FFTW_MEASURE
  parameter (FFTW_MEASURE=1)

  integer :: FFTW_OUT_OF_PLACE
  parameter (FFTW_OUT_OF_PLACE=0)
  integer :: FFTW_IN_PLACE
  parameter (FFTW_IN_PLACE=8)

  integer :: FFTW_USE_WISDOM
  parameter (FFTW_USE_WISDOM=16)

  integer :: FFTW_THREADSAFE
  parameter (FFTW_THREADSAFE=128)

end module fftflags_



